org.apache.felix.gogo.jline

## Class Converters

- java.lang.Object
- - org.apache.felix.gogo.jline.BaseConverters
  - - org.apache.felix.gogo.jline.Converters

All Implemented Interfaces:
  org.apache.felix.service.command.Converter

    public class Converters
    extends BaseConverters

### Field Summary

### Fields inherited from interface org.apache.felix.service.command.Converter

`CONVERTER_CLASSES, INSPECT, LINE, PART`

### Constructor Summary

Constructors
Constructor and Description
`Converters(org.osgi.framework.BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.framework.Bundle` `bundle(org.osgi.framework.Bundle i)`
`Object` `convert(Class<?> desiredType, Object in)`
`CharSequence` `format(Object target, int level, org.apache.felix.service.command.Converter converter)`

### Methods inherited from class org.apache.felix.gogo.jline.BaseConverters

`isFunctional, isObjectMethod, isStatic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Converters

    public Converters(org.osgi.framework.BundleContext context)

### Method Detail

#### bundle

    public org.osgi.framework.Bundle bundle(org.osgi.framework.Bundle i)

#### convert

    public Object convert(Class<?> desiredType,
                          Object in)
                   throws Exception

Specified by:
  `convert` in interface `org.apache.felix.service.command.Converter`
Overrides:
  `convert` in class `BaseConverters`
Throws:
  `Exception`

#### format

    public CharSequence format(Object target,
                               int level,
                               org.apache.felix.service.command.Converter converter)
                        throws IOException

Specified by:
  `format` in interface `org.apache.felix.service.command.Converter`
Overrides:
  `format` in class `BaseConverters`
Throws:
  `IOException`